@import url(helpers/fonts.css);
@import url(helpers/typography.css);
@import url(helpers/base.default.css);
@import url(helpers/base.responsive.css);
@import url(helpers/rtl.version.css);
@import url(themes/theme-dark.css);
@import url(themes/theme-blue.css);
@import url(themes/theme-green.css);
@import url(themes/theme-orange.css);
@import url(themes/theme-red.css);
@import url(themes/theme-inverse.css);
@import url(forms/basic-form-elements.css);
@import url(forms/buttons.css);
@import url(forms/dropdowns.css);
@import url(forms/checkboxes-radio.css);
@import url(forms/form-validation.css);
@import url(forms/selectboxes.css);
@import url(forms/autocomplete.css);
@import url(components/utilities.css);
@import url(components/tables.css);
@import url(components/steps.css);
@import url(components/tooltips-popovers.css);
@import url(components/modal.css);
@import url(components/progress-bars.css);
@import url(components/badges-labels.css);
@import url(components/pagination.css);
@import url(components/collapse.css);
@import url(components/tabs.css);
@import url(components/notifications-alerts.css);
@import url(components/carousel.css);
/* @import url(components/widgets.css); */
@import url(components/breadcrumbs.css);
@import url(vendors/jscrollpane.css);
@import url(vendors/select2.css);
@import url(vendors/eonasdan-bootstrap-datetimepicker.css);
/* @import url(vendors/fullcalendar.css); */
@import url(vendors/summernote.css);
@import url(vendors/ionrangeslider.css);
@import url(vendors/nestable.css);
@import url(vendors/datatables-fixedcolumns.css);
@import url(vendors/datatables-responsive.css);
@import url(vendors/editable-table.css);
/* @import url(vendors/chartist.css); */
/* @import url(vendors/chartist-tooltip-plugin.css); */
@import url(vendors/nprogress.css);
@import url(vendors/juqery-steps.css);
@import url(vendors/bootstrap-select.css);
@import url(vendors/dropify.css);
@import url(pages/pricing-table.css);
@import url(pages/ecommerce.css);
@import url(apps/profile.css);
@import url(apps/messaging.css);
@import url(apps/mail.css);
@import url(apps/calendar.css);
/* @import url(apps/gallery.css); */

.tab-selector-danger { color: red !important; font-weight: bold !important; border-right: 5px solid red !important;}


.material-switch { display:inline-block;margin-left: 10px;}
.material-switch > input[type="checkbox"] {
    display: none;   
}

.material-switch > label {
    cursor: pointer;
    height: 0px;
    position: relative; 
    width: 40px;  
}

.material-switch > label::before {
    background: rgb(0, 0, 0);
    box-shadow: inset 0px 0px 10px rgba(0, 0, 0, 0.5);
    border-radius: 8px;
    content: '';
    height: 16px;
    margin-top: -8px;
    position:absolute;
    opacity: 0.3;
    transition: all 0.4s ease-in-out;
    width: 40px;
}
.material-switch > label::after {
    background: rgb(255, 255, 255);
    border-radius: 16px;
    box-shadow: 0px 0px 5px rgba(0, 0, 0, 0.3);
    content: '';
    height: 24px;
    left: -4px;
    margin-top: -8px;
    position: absolute;
    top: -4px;
    transition: all 0.3s ease-in-out;
    width: 24px;
}
.material-switch > input[type="checkbox"]:checked + label::before {
    background: inherit;
    opacity: 0.5;
}
.material-switch > input[type="checkbox"]:checked + label::after {
    background: inherit;
    left: 20px;
}

#permessi_utente_container { font-family: "Trebuchet MS",Arial,Helvetica,sans-serif;}
.user_perm {float: left;margin: 5px;padding: 2px 2px 2px 5px;width: auto;  background-color: #9F9F9F;}
.user_perm_selected { background-color: #fff !important; }
.user_perm input[type=checkbox] { float: right; margin: 5px 5px 5px 10px; }
.user_perm label { float: left; }
.user_perm_role {background-color: rgb(255, 255, 255) !important;
color: rgb(0, 0, 0);
border-bottom: 1px solid rgb(207, 207, 207);
font-size: 18px;font-weight: bold;margin: 5px;padding: 2px;}
.user_perm_parent {background-color: #fff;border-bottom: 1px solid rgb(207, 207, 207); margin: 5px;padding: 2px;padding-right:20px;text-align:right;}

.bootstrap-datetimepicker-widget table thead tr:first-child th.prev, .bootstrap-datetimepicker-widget table thead tr:first-child th.next {
    color: #000;
}

.form-control.has-danger {
    border-color: #fb434a;
}

.accordion .panel .panel-heading {
    padding: 10px 20px;
    cursor: pointer;
    margin: 0px;
}

.accordion .panel .panel-body {
    padding: 0px 20px 10px 20px;
    margin-left: 0px;
}
.log_agenda td {word-wrap: normal !important; white-space: normal !important; }

.accordion .panel .panel-heading .panel-title{
    font-weight: bold;
}

.typeahead__group-clienti { overflow: hidden; }

.autozai-table td { 
	border: 1px solid #afafaf !important;
}

.autozai-table-top td { 
	padding: 4px;
	vertical-align: middle !important;
}

.autozai-table-top-center { 
	text-align: center;
	vertical-align: middle !important;
}

#autozai-table-top-day-of-week { text-align: center; vertical-align: middle;}
#autozai-table-top-date { text-align: center; vertical-align: middle;}

#autozai-table-configuratore td { border-top: 1px solid #eceeef; padding: 5px;font-size: 11px;}
#autozai-table-configuratore th { border-top: 1px solid #eceeef; padding: 5px;font-size: 11px;}

tr.row-domenica { background-color: red !important; color: #FFF; font-weight: bold; }

tr.row-sabato { background-color: yellow !important; color: #000; }


.status_bianco {background-color: #fff !important; color: #000 !important;}
.status_nero {background-color: #000 !important; color: #fff !important;}
.status_rosso {background-color: red !important; color: #fff !important;}


.btn-no-margin { margin: 0px !important;}

.status_editor { width: auto;display: inline-block; background-color: #fff !important; padding: 5px;}

.autozai-planner-table { max-width: 100%; width: 100%;}
.autozai-planner-table th {   border: 1px solid #000; }
.autozai-planner-table td { border: 1px solid #000;}

.autozai-planner-table-small { }


div.vertical-text {
  transform: 
    /* Magic Numbers */
    translate(0px, 0px) 
    /* 45 is really 360 - 45 */
    rotate(-90deg);
  
}
#planner-autozai { width: 80%;}
#planner-autozai th { font-weight: bold !important; }

.planner-sera-prima td { background-color: #c5d9f1 !important;}
.planner-pausa-pranzo td { background-color: #c00000 !important;}





.status_color_bianco 		{background-color: #ffffff;color: #000 !important;}
.status_color_giallo 		{background-color: #ffff00;color: #000 !important;}
/* .status_color_giallo_scuro 	{background-color: #ffc000;color: #000 !important;} */
.status_color_giallo_scuro 	{background-color: #FF6028;color: #000 !important;}
.status_color_grigio_scuro 	{background-color: #9e9e9e;color: #fff !important;}
.status_color_nero 			{background-color: #000000;color: #fff !important;}
.status_color_rosso 		{background-color: #ff0000;color: #fff !important;}
.status_color_rosso_chiaro 	{background-color: #da9694;color: #000 !important;}
.status_color_rosso_scuro 	{background-color: #ae0500;color: #fff !important;}
.status_color_viola 		{background-color: #be68ff;color: #000 !important;}
.status_color_azzurrino 	{background-color: #8db4e2;color: #000 !important;}	

.accordion .accordion-indicator {
    padding-top: 1px;
    color: #000;
}

.edit-table-editor { border: none; }
.edit-table-editor-container { font-weight: normal !important; text-align:center; cursor: pointer;}

.table-hover tbody tr:hover {
    background: #cfcfcf !important;
}

.error { border: 1px solid #ff0000;}

.pre-picking-cell:hover:after {
	color: #000;
}

.weekend-sat { background-color: yellow !important; color: #000 !important;}
.weekend-sun { background-color: red !important; color: #FFF !important;}
.weekend-gray { background-color: #CCC !important; color: #000 !important; }

#note_container { vertical-align: top !important; text-align: left;}
.autozai-table-top { font-size: 11px; }

.autozai-table-splitter { width: 100%; }
.autozai-table-splitter td { width: 50%;border-top: none !important; border-bottom: none !important;}

.autozai-table-splitter td:first-child {
	border-left: none !important;
}
.autozai-table-splitter td:last-child {
	border-right: none !important;
}

.autozai-table-splitter input { font-size: 11px; padding: 2px; }
 
.mr-0,.mx-0{margin-right:0!important}.ml-0,.mx-0{margin-left:0!important}.mt-0,.my-0{margin-top:0!important}.mb-0,.my-0{margin-bottom:0!important}.pr-0,.px-0{padding-right:0!important}.pl-0,.px-0{padding-left:0!important}.pt-0,.py-0{padding-top:0!important}.pb-0,.py-0{padding-bottom:0!important}.m-0{margin:0!important}.mr-1,.mx-1{margin-right:.25rem!important}.ml-1,.mx-1{margin-left:.25rem!important}.mt-1,.my-1{margin-top:.25rem!important}.mb-1,.my-1{margin-bottom:.25rem!important}.m-1{margin:.25rem!important}.mr-2,.mx-2{margin-right:.5rem!important}.ml-2,.mx-2{margin-left:.5rem!important}.mt-2,.my-2{margin-top:.5rem!important}.mb-2,.my-2{margin-bottom:.5rem!important}.m-2{margin:.5rem!important}.mr-3,.mx-3{margin-right:1rem!important}.ml-3,.mx-3{margin-left:1rem!important}.mt-3,.my-3{margin-top:1rem!important}.mb-3,.my-3{margin-bottom:1rem!important}.m-3{margin:1rem!important}.mr-4,.mx-4{margin-right:1.5rem!important}.ml-4,.mx-4{margin-left:1.5rem!important}.mt-4,.my-4{margin-top:1.5rem!important}.mb-4,.my-4{margin-bottom:1.5rem!important}.m-4{margin:1.5rem!important}.mr-5,.mx-5{margin-right:3rem!important}.ml-5,.mx-5{margin-left:3rem!important}.mt-5,.my-5{margin-top:3rem!important}.mb-5,.my-5{margin-bottom:3rem!important}.m-5{margin:3rem!important}.p-0{padding:0!important}.pr-1,.px-1{padding-right:.25rem!important}.pl-1,.px-1{padding-left:.25rem!important}.pt-1,.py-1{padding-top:.25rem!important}.pb-1,.py-1{padding-bottom:.25rem!important}.p-1{padding:.25rem!important}.pr-2,.px-2{padding-right:.5rem!important}.pl-2,.px-2{padding-left:.5rem!important}.pt-2,.py-2{padding-top:.5rem!important}.pb-2,.py-2{padding-bottom:.5rem!important}.p-2{padding:.5rem!important}.pr-3,.px-3{padding-right:1rem!important}.pl-3,.px-3{padding-left:1rem!important}.pt-3,.py-3{padding-top:1rem!important}.pb-3,.py-3{padding-bottom:1rem!important}.p-3{padding:1rem!important}.pr-4,.px-4{padding-right:1.5rem!important}.pl-4,.px-4{padding-left:1.5rem!important}.pt-4,.py-4{padding-top:1.5rem!important}.pb-4,.py-4{padding-bottom:1.5rem!important}.p-4{padding:1.5rem!important}.pr-5,.px-5{padding-right:3rem!important}.pl-5,.px-5{padding-left:3rem!important}.pt-5,.py-5{padding-top:5rem!important}.pb-5,.py-5{padding-bottom:5rem!important}.p-5{padding:3rem!important}.pb-8 {padding-bottom:8rem!important}.pb-10 {padding-bottom:11rem!important}.pt-9{padding-top:15rem!important}.pt-7{padding-top:7rem!important} .mb-8 {margin-bottom:8rem!important} .mt-6 {margin-top:6rem !important}